Bug 996436 - python-cffi is missing python-pycparser dependency
python-cffi is missing python-pycparser dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-cffi (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 03:39 EDT by Oskari Saarenmaa
Modified: 2013-09-30 14:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-cffi-0.6-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 20:36:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2013-08-13 03:39:28 EDT
Description of problem:
python-cffi requires pycparser, but the package does not have that dependency.

Version-Release number of selected component (if applicable):
python-cffi-0.6-3.fc19.x86_64

Steps to Reproduce:
1. python -c '__import__("cffi").FFI()'

Actual results:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/cffi/api.py", line 51, in __init__
    from . import cparser, model
  File "/usr/lib64/python2.7/site-packages/cffi/cparser.py", line 7, in <module>
    import pycparser
ImportError: No module named pycparser
Comment 1 Fedora Update System 2013-08-13 12:55:44 EDT
python-cffi-0.6-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-cffi-0.6-5.fc19
Comment 2 Fedora Update System 2013-08-13 13:02:40 EDT
python-cffi-0.6-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-cffi-0.6-5.fc18
Comment 3 Fedora Update System 2013-08-13 13:11:06 EDT
python-cffi-0.6-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cffi-0.6-5.el6
Comment 4 Fedora Update System 2013-08-14 22:42:17 EDT
Package python-cffi-0.6-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cffi-0.6-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14720/python-cffi-0.6-5.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-22 20:36:57 EDT
python-cffi-0.6-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-22 20:46:03 EDT
python-cffi-0.6-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-30 14:44:15 EDT
python-cffi-0.6-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.